ubuntu-location-service: com::ubuntu::location::ProviderSelection Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | Public Attributes | List of all members
com::ubuntu::location::ProviderSelection Struct Reference

`#include <provider_selection.h>`

Collaboration diagram for com::ubuntu::location::ProviderSelection:

## Public Member Functions
Provider::Features | to_feature_flags () const

## Public Attributes
std::shared_ptr< Provider > | position_updates_provider
std::shared_ptr< Provider > | heading_updates_provider
std::shared_ptr< Provider > | velocity_updates_provider

## Detailed Description

Definition at line 31 of file provider_selection.h.

## Member Function Documentation

## ◆ to_feature_flags()

Provider::Features com::ubuntu::location::ProviderSelection::to_feature_flags | ( |  | ) | const
| inline

Definition at line 33 of file provider_selection.h.

References com::ubuntu::location::Provider::heading, heading_updates_provider, com::ubuntu::location::Provider::none, com::ubuntu::location::Provider::position, position_updates_provider, com::ubuntu::location::Provider::velocity, and velocity_updates_provider.

## Member Data Documentation

## ◆ heading_updates_provider

std::shared_ptr<Provider> com::ubuntu::location::ProviderSelection::heading_updates_provider

Definition at line 48 of file provider_selection.h.

Referenced by com::ubuntu::location::operator==(), and to_feature_flags().

## ◆ position_updates_provider

std::shared_ptr<Provider> com::ubuntu::location::ProviderSelection::position_updates_provider

Definition at line 47 of file provider_selection.h.

Referenced by com::ubuntu::location::operator==(), and to_feature_flags().

## ◆ velocity_updates_provider

std::shared_ptr<Provider> com::ubuntu::location::ProviderSelection::velocity_updates_provider

Definition at line 49 of file provider_selection.h.

Referenced by com::ubuntu::location::operator==(), and to_feature_flags().

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/provider_selection.h